import { createFileRoute, lazyRouteComponent } from '@tanstack/react-router';

const ComplexSettingsPage = lazyRouteComponent(
  () => import('@/features/complex/complex-settings-page'),
  'ComplexSettingsPage'
);

export const Route = createFileRoute('/_app/_authenticated/complex/$slug/edit')({
  component: RouteComponent,
});

function RouteComponent() {
  const { slug } = Route.useParams();
  return <ComplexSettingsPage complexSlug={slug} />;
}
